<div class="page-header">
    <h1 class="page-heading">Create Network</h1>
</div>

<div ng-if="data.databaseList == []">
    <h3><img src="/public/img/loading-pulse.svg" /> Loading...</h3>
</div>

<form name="general" class="gf-form-group" ng-if="data.databaseList != []">
    <div class="gf-form-inline">
        <div class="gf-form">
            <label class="gf-form-label width-10" for="net_name">Network name
                <info-popover mode="right-normal" position="top center" class="gf-form-help-icon">
                    Begin with one <b>letter</b> or <b>underscore</b>, followed by zero or more <b>digits</b>, <b>letters</b> and <b>underscores</b>.
                </info-popover>
            </label>
            <input type="text" id="net_name" ng-pattern="/^[a-zA-Z_][0-9a-zA-Z_]*$/" class="gf-form-input max-width-15" placeholder="Network name" ng-model="data.networkName" required>
        </div>
    </div>
    <div class="gf-form-inline">
        <div class="gf-form">
            <label class="gf-form-label width-10" for="net_refreshTime">Refresh Time (ms)</label>
            <input type="text" id="net_refreshTime" ng-pattern="/^[0-9]{1,}$/" class="gf-form-input max-width-15" placeholder="1000" ng-model="data.networkRefreshTime" required>
        </div>
    </div>
    <div class="gf-form-inline">
        <div class="gf-form">
            <label class="gf-form-label width-10" for="db_dest">Dest. database
                <info-popover mode="right-normal" position="top center" class="gf-form-help-icon">
                    This is the database where the network will be saved. A table will be created with the <b>name</b> and the <b>id</b> (created automatically) of the network.<br/>Example: <b>Network[Id]</b>
                </info-popover>
            </label>
            <div ng-if="data.waitingPromise">
                <h3><img src="/public/img/loading-pulse.svg" /> Loading...</h3>
            </div>
            <select name="db_dest" id="db_dest" class="gf-form-input min-width-15"
                    ng-model="data.databaseSelected"
                    ng-options="database as database.grafanaName for database in data.databaseList"
                    ng-if="!data.waitingPromise"
                    required>
                <option value="" disabled selected hidden>Choose database</option>
            </select>
        </div>
    </div>
    <div class="gf-form-button-row">
        <button class="btn btn-success" ng-disabled="general.$invalid" ng-click="createNetwork()">Create network</button>
    </div>
</form>
